#
#@(#) $Id: Makefile.config,v 1.8 2007/01/15 08:47:10 honda Exp $
# 

#
#  Makefile のプロセッサ依存 (Nios2用)
#

#
#  ターゲットアーキテクチャの定義
#
TARGET = nios2-elf

#
#  オブジェクトファイル名の拡張子の設定
#
OBJEXT = elf


#
#  コンパイルオプション
#
INCLUDES := $(INCLUDES) -I$(SRCDIR)/config/$(CPU)
COPTS    := $(COPTS)  -O2  -Wall -g


#
#  カーネルに関する定義
#
KERNEL_DIR     := $(KERNEL_DIR) $(SRCDIR)/config/$(CPU)
KERNEL_ASMOBJS := $(KERNEL_ASMOBJS) cpu_support.o
KERNEL_COBJS   := $(KERNEL_COBJS) cpu_config.o nios2.o

#
# ROM化に関する定義
#
ifdef BOOT_ROM
	COPTS    := $(COPTS) -DBOOT_ROM
endif

#
#  スタートアップモジュールに関する定義
#
START_OBJS = start.o

$(START_OBJS): %.o: %.S
	$(CC) -c $(CFLAGS) $(KERNEL_CFLAGS) $<

$(START_OBJS:.o=.d): %.d: %.S
	@$(PERL) $(SRCDIR)/utils/makedep -C $(CC) \
		-O "$(CFLAGS) $(KERNEL_CFLAGS)" $< >> Makefile.depend
